Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.BorderListener

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener

protected class BasicInternalFrameUI.BorderListener
extends MouseInputAdapter
implements SwingConstants

Listens for border adjustments.

Field Summary
`protected int` | `RESIZE_NONE`

Constructor Summary
`protected` | `BasicInternalFrameUI.BorderListener()`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseEntered`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESIZE_NONE

    protected final int RESIZE_NONE

Constructor Detail

### BasicInternalFrameUI.BorderListener

    protected BasicInternalFrameUI.BorderListener()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Overrides:
    mouseClicked in class MouseInputAdapter

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Overrides:
    mouseReleased in class MouseInputAdapter

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Overrides:
    mousePressed in class MouseInputAdapter

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Overrides:
    mouseDragged in class MouseInputAdapter

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Overrides:
    mouseMoved in class MouseInputAdapter

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Overrides:
    mouseExited in class MouseInputAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.